#pragma once

#define CONNECTION_REQUEST 0x01
#define CONNECTION_ACCEPTED 0x02
#define CONNECTION_DENIED 0x03

struct ConnectionRequest {
    ConnectionRequest() : type(CONNECTION_REQUEST) {}
    char type = CONNECTION_REQUEST;
};

struct ConnectionAccepted {
    ConnectionAccepted() : type(CONNECTION_ACCEPTED) {}
    char type;
    int index;
};

struct ConnectionDenied {
    ConnectionDenied() : type(CONNECTION_DENIED) {}
    char type;
};

